package com.xunmei.common.core.web.domain;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.Data;

@Data
public class PageRequest {

    private Long orgId;

    private String orgPath;

    private Boolean checkSub;

    private int page = 0;

    private int size = 10;

    public <T> Page<T> getPageRequest() {
        Page<T> mePage = new Page<>();
        mePage.setCurrent(this.getPage());
        mePage.setSize(this.getSize());
        return mePage;
    }
}
